using CD67.FicheCollege.Entity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity;

namespace CD67.FicheCollege.Factory
{
    public partial class RestaurationFormulaireFactory : Internal.BaseFactory<Entity.RestaurationFormulaire>
    {
        public override IQueryable<Entity.RestaurationFormulaire> getAll()
        {
            return base.getAll();
        }

        public override void add(ref Entity.RestaurationFormulaire entity)
        {
            base.add(ref entity);
        }

        public override void update(ref Entity.RestaurationFormulaire entity)
        {
            base.update(ref entity);
        }

        public void addFormulairesRepas(ref Entity.RestaurationFormulairesRepa repas, RestaurationFormulaire form)
        {
            form.RestaurationFormulairesRepas.Add(repas);
            base.update(ref form);
        }

        public void removeFormulairesRepas(ref Entity.RestaurationFormulairesRepa repas, RestaurationFormulaire form)
        {
            form.RestaurationFormulairesRepas.Remove(repas);
            base.update(ref form);
        }

        public override void delete(ref Entity.RestaurationFormulaire form)
        {
            base.delete(ref form);
            //On supprime le formulaire
            form.RestaurationFormulairesRepas.Clear();
            this.update(ref form);
        }
    }
}